package waket.remote.service;

import java.util.List;

public class MockVideoAccessLogService extends VideoAccessLogService {

	@Override
	public List listRankingAll() {
		return super
			.listRankingAll();
	}

	@Override
	public List listRankingCache() {
		return super
			.listRankingCache();
	}

	@Override
	public List listRankingDht() {
		return super
			.listRankingDht();
	}

	@Override
	public List listRankingDirect() {
		return super
			.listRankingDirect();
	}

	@Override
	public Integer countUseCache() {
		return 3;
	}

	@Override
	public Integer countUseDht() {
		return 4;
	}

	@Override
	public Integer countUseDirect() {
		return 5;
	}

}
